#ifndef XDYNENTITYPOSE_H
#define XDYNENTITYPOSE_H

#include "xasset.h"
#include "xgfxplacement.h"

class XDynEntityPose : public XAsset
{
public:
    explicit XDynEntityPose();
    ~XDynEntityPose();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    XGfxPlacement mPose;
    float mRadius;
};

#endif // XDYNENTITYPOSE_H








